org.apache.tapestry5.ioc.internal

## Class AbstractServiceInstrumenter

- java.lang.Object
- - org.apache.tapestry5.ioc.internal.AbstractServiceInstrumenter

- Direct Known Subclasses:
    AdvisorDefImpl, DecoratorDefImpl

      public class AbstractServiceInstrumenter
      extends java.lang.Object

  Abstract base class for implementations of `ServiceDecorator` (i.e., old school) and `ServiceAdvisor` (i.e., new school). "Instrumenter" is a rought approximation of what these two approaches have in common: instrumenting of method calls of a service.
  Since:
    5.1.0.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String[]` | `constraints`
    `protected IdMatcher` | `idMatcher`
    `protected java.lang.reflect.Method` | `method`
    `protected PlasticProxyFactory` | `proxyFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractServiceInstrumenter(java.lang.reflect.Method method, java.lang.String[] patterns, java.lang.String[] constraints, java.lang.Class serviceInterface, java.util.Set<java.lang.Class> markers, PlasticProxyFactory proxyFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getConstraints()`
    `java.util.Set<java.lang.Class>` | `getMarkers()`
    `java.lang.Class` | `getServiceInterface()`
    `boolean` | `matches(ServiceDef serviceDef)` Returns true if any provided pattern matches the id of the service.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### method

          protected final java.lang.reflect.Method method

    - #### idMatcher

          protected final IdMatcher idMatcher

    - #### constraints

          protected final java.lang.String[] constraints

    - #### proxyFactory

          protected final PlasticProxyFactory proxyFactory

  - ### Constructor Detail

    - #### AbstractServiceInstrumenter

          public AbstractServiceInstrumenter(java.lang.reflect.Method method,
                                             java.lang.String[] patterns,
                                             java.lang.String[] constraints,
                                             java.lang.Class serviceInterface,
                                             java.util.Set<java.lang.Class> markers,
                                             PlasticProxyFactory proxyFactory)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getConstraints

          public java.lang.String[] getConstraints()

    - #### matches

          public boolean matches(ServiceDef serviceDef)

      Returns true if any provided pattern matches the id of the service.

    - #### getMarkers

          public java.util.Set<java.lang.Class> getMarkers()

    - #### getServiceInterface

          public java.lang.Class getServiceInterface()

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.